Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.impl.rp.config
Class CommandMappingConfig

    java.lang.Object
      tle.framework.component.impl.rp.config.CommandMappingConfig

    public class CommandMappingConfig

extends java.lang.Object

<mapping> 태그의 정보를 저장한다.

Author:
  최범균

Constructor Summary
`CommandMappingConfig()`
`CommandMappingConfig(java.lang.String commandID, java.lang.String handlerID, java.lang.String formName, java.lang.String formErrorResultCode)`

Method Summary
`java.lang.String` | `getCommandID()`
`java.lang.String` | `getFormErrorResultCode()`
`java.lang.String` | `getFormName()`
`java.lang.String` | `getHandlerID()`
`void` | `setCommandID(java.lang.String commandID)`
`void` | `setFormErrorResultCode(java.lang.String formErrorResultCode)`
`void` | `setFormName(java.lang.String formName)`
`void` | `setHandlerID(java.lang.String handlerID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandMappingConfig

    public CommandMappingConfig()

### CommandMappingConfig

    public CommandMappingConfig(java.lang.String commandID,
                                java.lang.String handlerID,
                                java.lang.String formName,
                                java.lang.String formErrorResultCode)

Method Detail

### getCommandID

    public java.lang.String getCommandID()

### setCommandID

    public void setCommandID(java.lang.String commandID)

### getFormErrorResultCode

    public java.lang.String getFormErrorResultCode()

### setFormErrorResultCode

    public void setFormErrorResultCode(java.lang.String formErrorResultCode)

### getFormName

    public java.lang.String getFormName()

### setFormName

    public void setFormName(java.lang.String formName)

### getHandlerID

    public java.lang.String getHandlerID()

### setHandlerID

    public void setHandlerID(java.lang.String handlerID)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD